Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticloadbalancing.model
Class AppCookieStickinessPolicy

    java.lang.Object
      com.amazonaws.services.elasticloadbalancing.model.AppCookieStickinessPolicy

    public class AppCookieStickinessPolicy

extends Object

App Cookie Stickiness Policy

Constructor Summary
`AppCookieStickinessPolicy()`

Method Summary
`String` | `getCookieName()` Returns the value of the CookieName property for this object.
`String` | `getPolicyName()` Returns the value of the PolicyName property for this object.
`void` | `setCookieName(String cookieName)` Sets the value of the CookieName property for this object.
`void` | `setPolicyName(String policyName)` Sets the value of the PolicyName property for this object.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`AppCookieStickinessPolicy` | `withCookieName(String cookieName)` Sets the value of the CookieName property for this object.
`AppCookieStickinessPolicy` | `withPolicyName(String policyName)` Sets the value of the PolicyName property for this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AppCookieStickinessPolicy

    public AppCookieStickinessPolicy()

Method Detail

### getPolicyName

    public String getPolicyName()

  Returns the value of the PolicyName property for this object.

  Returns:
    The value of the PolicyName property for this object.

### setPolicyName

    public void setPolicyName(String policyName)

  Sets the value of the PolicyName property for this object.

  Parameters:
    `policyName` - The new value for the PolicyName property for this object.

### withPolicyName

    public AppCookieStickinessPolicy withPolicyName(String policyName)

  Sets the value of the PolicyName property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `policyName` - The new value for the PolicyName property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCookieName

    public String getCookieName()

  Returns the value of the CookieName property for this object.

  Returns:
    The value of the CookieName property for this object.

### setCookieName

    public void setCookieName(String cookieName)

  Sets the value of the CookieName property for this object.

  Parameters:
    `cookieName` - The new value for the CookieName property for this object.

### withCookieName

    public AppCookieStickinessPolicy withCookieName(String cookieName)

  Sets the value of the CookieName property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `cookieName` - The new value for the CookieName property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.